

local myImg={}
local rt={}
local birt={}	--bitmap with render texture
local alpha=1
for i=1, 4 do
	myImg[i]=Bitmap.new(Texture.new("blendColor-0"..i..".png",true))
	myImg[i]:setAnchorPoint(.5,.5)
	
	if i==1 then
		-- "blend: color" text imgage
		myImg[i]:setPosition(application:getContentWidth()/2,application:getContentHeight()/2)
		myImg[i]:setBlendMode(Sprite.MULTIPLY)
		myImg[i]:setAlpha(1)
		
	elseif i==2 then	--orange
		myImg[i]:setPosition(application:getContentWidth()/2+myImg[i]:getWidth(),application:getContentHeight()/2)
		myImg[i]:setAlpha(alpha)
	elseif i==3 then	--blue
		myImg[i]:setPosition(application:getContentWidth()/2,application:getContentHeight()/2)
		myImg[i]:setAlpha(alpha)
	elseif i==4 then	--red
		myImg[i]:setPosition(application:getContentWidth()/2-myImg[i]:getWidth(),application:getContentHeight()/2)
		myImg[i]:setAlpha(alpha)
	end
	
	rt[i] = RenderTarget.new(application:getContentWidth(), application:getContentHeight())
	birt[i] = Bitmap.new(rt[i])
	birt[i]:setBlendMode("multiply") 
	stage:addChild(birt[i])

end


-- Set the background color of the stage to white
stage:setBackgroundColor(1, 1, 1)
stage:setY(100)

stage:addEventListener(Event.ENTER_FRAME, 
	function (e)
		for i=1, #myImg do
			rt[i]:clear(0xFFFFFF, 1)
			rt[i]:draw(myImg[i])
		end
	end)

